package com.gree.mall.manager.enums.ums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum UmsGrantFlagEnum implements BaseEnum {

    NOT("0","未发放"),
    ING("1","发放中"),
    SUCCESS("2","发放成功"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;

}
